function [pXX,mXX,rXX]=regions2model(varargin);

% [pXX,mXX,rXX]=regions2model( 'model' | modelpar | a, mc, ac, r, mf);

% each of the three outputs is a flag, denoting if the particular
% region needs to be modeled.

% note the difference with regions2fit. There we assume mf=Inf, as
% this is the way all the tracing is done. Here, though we don't
% want to do tracing, but modeling. So the mf, if too small, may
% throw some of the regions away.

% FIX : A strange error that happens if mr happens to be precicely
% at mf. Then although it shouldn't allow rXX to be plotted, it
% still does. The reason is that mr is mf-1.0e-100 so it still
% detects mr<mf !! MUST FIX FAST! This problem will always happen
% though, whenever mr and mf are very close. Maybe fix it in
% model_rXX!?? Maybe both places?


% Last updated: Sep 14th, 2001

if nargin==1
  if ischar(varargin{1})
    model=varargin{1};
    % a model name (e.g., p0m30c40) was supplied
    [ac,a,r,mc,T,z]=parse_model_defs({model}); mf=Inf;
  else
    % a modelpar-structure was supplied
    modelpar=varargin{1};
    ac=modelpar.ac; mc=modelpar.mc;
    r=modelpar.r; mf=modelpar.mf; a=modelpar.a;
  end
else
  [ a,mc,ac,r, mf ] = deal(varargin{:});
end  

% find at what mu the plateau starts (assuming mf=Inf)

mr=get_mr(a,ac,mc,r);

if (mc>1)&(mf>1), pXX = 1; else pXX = 0; end
if (ac~=0)&(mf>mc)&(mr>mc), mXX = 1; else mXX = 0; end
if (r~=0) & (mf>mr), rXX = 1; else rXX = 0; end
